SLES9 mit altem Java?

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Stefan8
Newbie
Newbie
Beiträge: 11
Registriert: 21. Mär 2005, 20:10

SLES9 mit altem Java?

Beitrag von Stefan8 » 25. Jan 2006, 13:42

Hallo,
ich habe soeben die SLES9 glücklich installiert.
Weil eine Applikation ein altes Java verlangt, hab ich im YAST die 1.4.2 rausgeschmissen.
Installieren will ich jetzt J2SDK 1.3.1_04.
Ich habe mir das bin auch von java.sun.com besorgt, die Installation hat aber nicht geklappt.
Wie kriege ich direkt über den YAST ein altes Paket?
Oder würde es sich empfehlen, ein RPM zu holen?
Was sagt diese Importfunktionalität in YAST
Danke + Gruß
Stefan

Werbung:
Benutzeravatar
admine
Administrator
Administrator
Beiträge: 8744
Registriert: 15. Feb 2004, 21:13
Wohnort: Dresden
Kontaktdaten:

Re: SLES9 mit altem Java?

Beitrag von admine » 25. Jan 2006, 14:06

Stefan8 hat geschrieben: Oder würde es sich empfehlen, ein RPM zu holen?
Das IMHO auf jeden Fall, wenn du eins bekommst.
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

Stefan8
Newbie
Newbie
Beiträge: 11
Registriert: 21. Mär 2005, 20:10

Beitrag von Stefan8 » 25. Jan 2006, 14:30

Hi admine,
ich hab mir mal also ein RPM.bin besorgt, es nach /root/java kopiert und es entpackt.
Dann hatte ich also ein "richtiges" RPM, das ich mit rpm -iv dann installiert habe. Es entstand automatisch eine Dateistruktur im Pfad /usr/java/jdk1.3.1_04.
Als Meldung hab ich aber nur gekriegt
Preparing packages for installation...
Und drunter stand
jdk-1.3.1_04-fcs
In der Bedienungsanleitung von java.sun.com stand aber kein Wort darüber drin. Wenn ich jetzt which java, which javac oder java -v mache, dann kriege ich jeweils keine Antwort.
Also läuft das wohl noch nicht ?! :roll:
Any ideas?
Danke+Gruß
Stefan

Benutzeravatar
admine
Administrator
Administrator
Beiträge: 8744
Registriert: 15. Feb 2004, 21:13
Wohnort: Dresden
Kontaktdaten:

Beitrag von admine » 25. Jan 2006, 15:13

Wir haben da hier im FAQ-Forum zur Java-Installation eine Anleitung stehen:
http://www.linux-club.de/viewtopic.php? ... light=java

Ich könnte mir vorstellen, dass es dir hilft.
..:: unser Linux-Club-Wiki ::..
-------------------------
..:: Deutsche Mugge ::..
-------------------------

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast